<?php

use Monolog\Handler\NullHandler;
use Monolog\Handler\StreamHandler;
use Monolog\Handler\SyslogUdpHandler;
use Monolog\Processor\PsrLogMessageProcessor;

return [

	/*
	|--------------------------------------------------------------------------
	| Log Channels
	|--------------------------------------------------------------------------
	|
	| Here you may configure the log channels for your application. Out of
	| the box, Laravel uses the Monolog PHP logging library. This gives
	| you a variety of powerful log handlers / formatters to utilize.
	|
	| Available Drivers: "single", "daily", "slack", "syslog",
	|                    "errorlog", "monolog",
	|                    "custom", "stack"
	|
	*/

	'channels' => [

		'ion3listingimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/ion3-listing-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

		'cwslistingimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/cws-listing-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

		'ion3agentimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/ion3-agent-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

		'cwsagentimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/cws-agent-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

		'ion3officeimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/ion3-office-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

		'cwsofficeimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/cws-office-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

		'ion3openhouseimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/ion3-openhouse-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

		'cwsopenhouseimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/cws-openhouse-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

		'ion3mediaimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/ion3-media-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

		'cwsmediaimports' => [
			'driver' => 'daily',
			'path' => storage_path('logs/cws-media-imports.log'),
			'level' => env('LOG_LEVEL', 'debug'),
			'days' => 14,
			'replace_placeholders' => true,
		],

	],

];
