<?php

namespace Neutrino\Ion3Core\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class AgentFactory extends Factory
{
    protected $model = 'App\Ion3\Models\Agent';

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        $first_name = $this->faker->firstName();
        $last_name = $this->faker->lastName();

        $faker_email = $this->faker->email();
        list($old_email, $domain) = explode('@', $faker_email);
        $email = strtolower("{$first_name}.{$last_name}@{$domain}");

        return [
            'ion_source' => 'Manual',
            'originating_system_name' => 'Ion3',
            'member_mls_id' => $this->faker->regexify('[A-Z][0-9]{7}'),
            'member_first_name' => $first_name,
            'member_last_name' => $last_name,
            'member_full_name' => "{$first_name} {$last_name}",
            'member_email' => $email,
            'member_mobile_phone' => $this->faker->phoneNumber(),
            'member_office_phone' => $this->faker->randomElement(['', $this->faker->phoneNumber()]),
        ];
    }
}
