<?php

namespace Neutrino\Ion3Core\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class CompanyFactory extends Factory
{
    protected $model = 'App\Ion3\Models\Company';

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'name' => fake()->company(),
            'website' => 'https://www.'.fake()->domainName(),
            'address' => fake()->streetAddress(),
            'address2' => fake()->boolean(40) ? fake()->secondaryAddress() : '',
            'city' => fake()->city(),
            'state' => fake()->stateAbbr(),
            'zip' => substr(fake()->postcode(), 0, 5),
            'country' => 'US',
            'email' => fake()->email(),
            'phone' => fake()->phoneNumber(),
            'remarks' => fake()->paragraphs(3, true),
            'logo_url' => fake()->imageUrl(),
            'photo_url' => fake()->imageUrl(),
        ];
    }
}
