<?php

namespace Neutrino\Ion3Core\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class OfficeFactory extends Factory
{
    protected $model = 'App\Ion3\Models\Office';

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        $office_name = $this->faker->company();

        $faker_email = $this->faker->companyEmail();
        list($old_email, $domain) = explode('@', $faker_email);
        $email = strtolower(preg_replace('/[^a-zA-Z]/', '', $office_name) . "@{$domain}");

        return [
            'ion_source' => 'Manual',
            'originating_system_name' => 'Ion3',
            'office_mls_id' => $this->faker->regexify('[A-Z][0-9]{7}'),
            'office_name' => $office_name,
            'office_address_1' => $this->faker->streetAddress(),
            'office_address_2' => '',
            'office_city' => $this->faker->city(),
            'office_state_or_province' => $this->faker->stateAbbr(),
            'office_postal_code' => substr($this->faker->postcode(), 0, 5),
            'office_country' => 'US',
            'office_email' => $email,
            'office_phone' => $this->faker->phoneNumber(),
        ];
    }
}
