<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('agents', function (Blueprint $table) {
            $table->comment('Agents: From MLS and other sources');
            $table->id();
            $table->string('ion_source', 16);
            $table->string('originating_system_name', 100)->default('');
            $table->string('member_mls_id', 25)->default(''); // "MLS" Number
            $table->string('member_first_name', 50)->nullable();
            $table->string('member_last_name', 50)->nullable();
            $table->string('member_full_name', 150)->nullable();
            $table->string('member_email', 100)->nullable();
            $table->string('member_mobile_phone', 21)->nullable();
            $table->string('member_office_phone', 21)->nullable();
            $table->foreignId('office_id')->nullable();
            $table->foreignId('user_id')->nullable();
            $table->timestampsTz();

            $table->index('ion_source');
            $table->index('originating_system_name');
            $table->index('member_mls_id');
            $table->index('member_first_name');
            $table->index('member_last_name');
            $table->index('office_id');
            $table->index('user_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('agents');
    }
};
