<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('offices', function (Blueprint $table) {
            $table->comment('Offices: From MLS and other sources');
            $table->id();
            $table->string('ion_source', 16);
            $table->string('originating_system_name', 100)->default('');
            $table->string('office_mls_id', 36)->default(''); // "MLS" Number
            $table->string('office_name', 150)->nullable();
            $table->string('office_address_1', 50)->nullable();
            $table->string('office_address_2', 50)->nullable();
            $table->string('office_city', 50)->nullable();
            $table->string('office_state_or_province', 2)->nullable();
            $table->string('office_postal_code', 10)->nullable();
            $table->string('office_country', 2)->default('US');
            $table->string('office_email', 100)->nullable();
            $table->string('office_phone', 21)->nullable();
            $table->foreignId('company_location_id')->nullable();
            $table->timestampsTz();

            $table->index('ion_source');
            $table->index('originating_system_name');
            $table->index('office_mls_id');
            $table->index('office_name');
            $table->index('company_location_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('offices');
    }
};
