<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('companies', function (Blueprint $table) {
            $table->comment('Companies: Our data, not from MLS or other sources');
            $table->id();
            $table->string('name', 64);
            $table->string('website', 100)->nullable();
            $table->string('address', 64);
            $table->string('address2', 64);
            $table->string('city', 32)->default('');
            $table->string('state', 2)->default('');
            $table->string('zip', 10)->default('');
            $table->string('country', 2)->default('US');
            $table->string('email', 100)->nullable();
            $table->string('phone', 24)->nullable();
            $table->text('remarks')->nullable();
            $table->string('logo_url', 255)->nullable();
            $table->string('photo_url', 255)->nullable();

            $table->softDeletesTz();
            $table->timestampsTz();

            $table->index('name');
            $table->index('state');
            $table->index('deleted_at');
            $table->index('created_at');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('companies');
    }
};
