<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
	    Schema::table('open_houses', function (Blueprint $table) {
		    $table->boolean('appointment_required_yn')
		          ->comment('RESO AppointmentRequiredYN')
		          ->after('open_house_remarks')
		          ->default(false);
		    $table->string('live_stream_open_house_url', 510)
		          ->comment('RESO LivestreamOpenHouseURL')
		          ->after('appointment_required_yn')
		          ->nullable();
	    });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
	    Schema::table('open_houses', function (Blueprint $table) {
		    // Drop the newly added columns
		    $table->dropColumn(['appointment_required_yn', 'live_stream_open_house_url']);
	    });
    }
};
