<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Neutrino\Ion3Core\Enums\RESOLookupPropertyType;
use Neutrino\Ion3Core\Enums\RESOLookupPropertySubType;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
	    Schema::table('listings', function (Blueprint $table) {
		    $table->string('unit_number')->nullable()->default(null)->change();
		    $table->string('mls_area_major')->nullable()->default(null)->change();
		    $table->string('mls_area_minor')->nullable()->default(null)->change();
		    $table->string('subdivision_name')->nullable()->default(null)->change();
		    $table->string('building_name')->nullable()->default(null)->change();
		    $table->string('high_school_district')->nullable()->default(null)->change();
		    $table->string('buyer_agency_compensation')->nullable()->default(null)->change();
		    $table->string('parcel_number')->nullable()->default(null)->change();
		    $table->string('attribution_contact')->nullable()->default(null)->change();
		    $table->enum('property_type', RESOLookupPropertyType::asArray())->default('')->change();
		    $table->enum('property_sub_type', RESOLookupPropertySubType::asArray())->default('')->change();
	    });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
