<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
	    Schema::table('listings', function (Blueprint $table) {
		    $table->string('list_aor', 110)->nullable()->change();
		    $table->dateTimeTz('photo_change_timestamp')->after('modification_timestamp')->nullable();
		    $table->smallInteger('photos_count')->after('photo_change_timestamp')->nullable();
		    $table->boolean('process_media')->after('photos_count')->default(0);
	    });

	    Schema::table('listings_extra_search_fields', function (Blueprint $table) {
		    $table->string('interior_features', 510)->nullable()->change();
	    });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
	    Schema::table('listings', function (Blueprint $table) {
		    $table->dropColumn(['photo_change_timestamp', 'photos_count', 'process_media']);
	    });

		/**
	    Schema::table('listings', function (Blueprint $table) {
		    $table->string('list_aor',  36)->change();
	    });
		 *
	    Schema::table('listings_extra_search_fields', function (Blueprint $table) {
		    $table->string('interior_features', 255)->change();
	    });
		**/
    }
};
