<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
	    Schema::table('listings', function (Blueprint $table) {
		    $table->index( [ 'ion_source', 'originating_system_name', 'listing_key' ], 'listing_key');
		    $table->index( [ 'ion_source', 'originating_system_name', 'listing_id' ], 'listing_id_2');
		    $table->index( [ 'ion_source', 'originating_system_name', 'process_media' ], 'process_media');
	    });

	    Schema::table('listings_media', function (Blueprint $table) {
		    $table->index( [ 'ion_source', 'originating_system_name', 'resource_record_key' ], 'resource_record_key');
		    $table->index( [ 'ion_source', 'originating_system_name', 'resource_record_id' ], 'resource_record_id');
	    });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
	    Schema::table('listings', function (Blueprint $table) {
		    $table->dropIndex( 'listing_key');
		    $table->dropIndex( 'listing_id_2');
		    $table->dropIndex( 'process_media');
	    });

	    Schema::table('listings_media', function (Blueprint $table) {
		    $table->dropIndex( 'resource_record_key');
		    $table->dropIndex( 'resource_record_id');
	    });
    }
};
