<?php

namespace Neutrino\Ion3Core\Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // Create super admin user
        $admin_username = env('ION3_DEFAULT_USER_NAME', 'ion3-admin');
        $defaultAdminExists = User::where('username', $admin_username)->exists();
        if (!$defaultAdminExists) {
            User::factory(1)->create([
                'username' => $admin_username,
                'slug' => $admin_username,
                'first_name' => 'Ion3',
                'last_name' => 'Admin',
                'familiar_name' => 'Ion3',
                'display_name' => 'Ion3 Admin',
                'title' => 'Ion3 Administrator',
                'email' => env('ION3_DEFAULT_USER_EMAIL', 'ion3@example.com'),
                'password' => bcrypt(env('ION3_DEFAULT_USER_PASSWORD', 'ion3XMR+')),
            ])
            ->each(function ($user) {
                $user->assignRole('super_sysadmin');
            });
        }
    }
}
