<?php

namespace Neutrino\Ion3Core\Console\Commands;


use Illuminate\Bus\Batch;
use Illuminate\Support\Facades\Bus;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;

class Ion3CancelBatch extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'ion3:cancel-batch 
							{--i|--batchId= : Batch ID (Check Horizon)}
							{--pending : All Pending Batches}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = "Ion3 Cancel Batch";

	/**
	 * Execute the console command.
	 */
	public function handle()
	{
		if($this->option("pending")) {
			foreach (DB::table('job_batches')->whereNull('finished_at')->pluck('id') as $batchId) {
				$batch = Bus::findBatch($batchId);
				//print_r($batch->toArray());
				//echo "Finished: " . $batch->finished(); exit;
				//print_r(get_class_methods($batch));exit;
				if ($batch && !$batch->finished()) {
					$batch->cancel();
					echo "Cancelled batch with ID: $batchId\n";
				}
			}
		} elseif ($this->option("batchId")) {
			$batch = Bus::findBatch($this->option("batchId"));
			if ($batch && !$batch->cancelled()) {
				$batch->cancel();
				echo "Batch cancelled successfully.\n";
			} else {
				echo "Batch not found or already cancelled.\n";
			}
		}
	}

}
