<?php
// RESO Reference: https://ddwiki.reso.org/display/DDW17/StandardStatus+Lookups

namespace Neutrino\Ion3Core\Enums;

enum Ion3DataSource: string
{
	case CWS = 'Constellation1 Web Services';
	case CIRE = 'Christie\'s International Real Estate';

	public static function asArray(bool $associative = false): array
	{
		if ($associative) {
			return array_combine(array_column(self::cases(), 'name'), array_column(self::cases(), 'value'));
		}
		return array_column(self::cases(), 'value');
	}

	public function getLabel(): ?string
	{
		return $this->value;
	}

	public function getKey(): ?string
	{
		return $this->name;
	}

}
