<?php
// RESO Reference: https://ddwiki.reso.org/display/DDW17/OpenHouseType+Field

namespace Neutrino\Ion3Core\Enums;

enum RESOLookupOpenHouseType: string
{
    case Broker = 'Broker';
    case Office = 'Office';
    case Public = 'Public';

    public static function asArray(bool $associative = false): array
    {
        if ($associative) {
            return array_combine(array_column(self::cases(), 'name'), array_column(self::cases(), 'value'));
        }
        return array_column(self::cases(), 'value');
    }

    public function getLabel(): ?string
    {
        return $this->value;
    }
}
