<?php
// RESO Reference: https://ddwiki.reso.org/display/DDW20/StateOrProvince+Lookups

namespace Neutrino\Ion3Core\Enums;

enum RESOLookupStateOrProvince: string
{
    case AB = 'AB';
    case AK = 'AK';
    case AL = 'AL';
    case AR = 'AR';
    case AZ = 'AZ';
    case BC = 'BC';
    case CA = 'CA';
    case CO = 'CO';
    case CT = 'CT';
    case DC = 'DC';
    case DE = 'DE';
    case FL = 'FL';
    case GA = 'GA';
    case HI = 'HI';
    case IA = 'IA';
    case ID = 'ID';
    case IL = 'IL';
    case IN = 'IN';
    case KS = 'KS';
    case KY = 'KY';
    case LA = 'LA';
    case MA = 'MA';
    case MB = 'MB';
    case MD = 'MD';
    case ME = 'ME';
    case MI = 'MI';
    case MN = 'MN';
    case MO = 'MO';
    case MS = 'MS';
    case MT = 'MT';
    case NB = 'NB';
    case NC = 'NC';
    case ND = 'ND';
    case NE = 'NE';
    case NF = 'NF';
    case NH = 'NH';
    case NJ = 'NJ';
    case NM = 'NM';
    case NS = 'NS';
    case NT = 'NT';
    case NU = 'NU';
    case NV = 'NV';
    case NY = 'NY';
    case OH = 'OH';
    case OK = 'OK';
    case ON = 'ON';
    case OR = 'OR';
    case PA = 'PA';
    case PE = 'PE';
    case QC = 'QC';
    case RI = 'RI';
    case SC = 'SC';
    case SD = 'SD';
    case SK = 'SK';
    case TN = 'TN';
    case TX = 'TX';
    case UT = 'UT';
    case VA = 'VA';
    case VI = 'VI';
    case VT = 'VT';
    case WA = 'WA';
    case WI = 'WI';
    case WV = 'WV';
    case WY = 'WY';
    case YT = 'YT';

    public static function asArray(bool $associative = false): array
    {
        if ($associative) {
            return array_combine(array_column(self::cases(), 'name'), array_column(self::cases(), 'value'));
        }
        return array_column(self::cases(), 'value');
    }

    public function getLabel(): ?string
    {
        return $this->value;
    }

    public static function getUSArray(): array
    {
        return [
            'AK' => 'Alaska',
            'AL' => 'Alabama',
            'AR' => 'Arkansas',
            'AZ' => 'Arizona',
            'CA' => 'California',
            'CO' => 'Colorado',
            'CT' => 'Connecticut',
            'DC' => 'District of Columbia',
            'DE' => 'Delaware',
            'FL' => 'Florida',
            'GA' => 'Georgia',
            'HI' => 'Hawaii',
            'IA' => 'Iowa',
            'ID' => 'Idaho',
            'IL' => 'Illinois',
            'IN' => 'Indiana',
            'KS' => 'Kansas',
            'KY' => 'Kentucky',
            'LA' => 'Louisiana',
            'MA' => 'Massachusetts',
            'MD' => 'Maryland',
            'ME' => 'Maine',
            'MI' => 'Michigan',
            'MN' => 'Minnesota',
            'MO' => 'Missouri',
            'MS' => 'Mississippi',
            'MT' => 'Montana',
            'NC' => 'North Carolina',
            'ND' => 'North Dakota',
            'NE' => 'Nebraska',
            'NH' => 'New Hampshire',
            'NJ' => 'New Jersey',
            'NM' => 'New Mexico',
            'NV' => 'Nevada',
            'NY' => 'New York',
            'OH' => 'Ohio',
            'OK' => 'Oklahoma',
            'OR' => 'Oregon',
            'PA' => 'Pennsylvania',
            'RI' => 'Rhode Island',
            'SC' => 'South Carolina',
            'SD' => 'South Dakota',
            'TN' => 'Tennessee',
            'TX' => 'Texas',
            'UT' => 'Utah',
            'VA' => 'Virginia',
            'VI' => 'Virgin Islands',
            'VT' => 'Vermont',
            'WA' => 'Washington',
            'WI' => 'Wisconsin',
            'WV' => 'West Virginia',
            'WY' => 'Wyoming',
        ];
    }

    public static function getCanadaArray(): array
    {
        return [
            'AB' => 'Alberta',
            'BC' => 'British Columbia',
            'MB' => 'Manitoba',
            'NB' => 'New Brunswick',
            'NF' => 'Newfoundland and Labrador',
            'NS' => 'Nova Scotia',
            'NT' => 'Northwest Territories',
            'NU' => 'Nunavut',
            'ON' => 'Ontario',
            'PE' => 'Prince Edward Island',
            'QC' => 'Quebec',
            'SK' => 'Saskatchewan',
            'YT' => 'Yukon',
        ];
    }
}
