<?php

namespace Neutrino\Ion3Core\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;
use Neutrino\Ion3Core\Database\Factories\CompanyFactory;
use Neutrino\Ion3Core\Events\Ion3Updated;
use Neutrino\Ion3Core\Traits\Ion3MetadataTrait;

class Ion3Company extends Model
{
    use HasFactory;
    use SoftDeletes;
    use Ion3MetadataTrait;

    protected $table = 'companies';
    protected $companyLocationClass = \App\Ion3\Models\CompanyLocation::class;
    protected $hidden = ['created_at', 'updated_at'];
    protected $guarded = ['id', 'origdata', 'created_at', 'updated_at'];

    protected $casts = [
        'metadata' => 'array',
        'origdata' => 'array',
    ];

    protected $dispatchesEvents = [
        'updating' => Ion3Updated::class
    ];

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
    }

    protected static function newFactory()
    {
        return CompanyFactory::new();
    }

    public function companyLocations(): HasMany
    {
        return $this->hasMany($this->companyLocationClass, 'company_id');
    }
}
