<?php

namespace Neutrino\Ion3Core\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Neutrino\Ion3Core\Database\Factories\ListingExtraSearchFieldsFactory;

class Ion3ListingExtraSearchFields extends Model
{
    use HasFactory;

    protected $table = 'listings_extra_search_fields';
    protected $listingClass = \App\Ion3\Models\Listing::class;
	protected $guarded = [];

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
    }

    protected static function newFactory()
    {
        return ListingExtraSearchFieldsFactory::new();
    }

    public function listing(): BelongsTo
    {
        return $this->belongsTo($this->listingClass, 'listing_id');
    }
}
