<?php

namespace Neutrino\Ion3Core\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;
use Neutrino\Ion3Core\Database\Factories\OpenHouseFactory;

class Ion3OpenHouse extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $table = 'open_houses';
    protected $listingClass = \App\Ion3\Models\Listing::class;
    protected $hidden = ['created_at', 'updated_at'];
    protected $guarded = ['id', 'created_at', 'updated_at'];

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);
    }

    protected static function newFactory()
    {
        return OpenHouseFactory::new();
    }

    public function listings(): BelongsTo
    {
        return $this->belongsTo($this->listingClass, 'listing_id');
    }
}
