<?php

namespace Neutrino\Ion3Core\Models;

use App\Models\User;
use Illuminate\Database\Eloquent\Model;

class Ion3UserAgentSource extends Model
{
    protected $table = 'user_agent_sources';
    protected $guarded = ['id', 'created_at', 'updated_at'];

    protected $agentClass = \App\Ion3\Models\Agent::class;

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function matchingAgents()
    {
        return $this->agentClass::whereColumn([
            ['source', '=', 'source'],
            ['source_id', '=', 'source_id']
        ]);
    }
}
