<?php

namespace Neutrino\Ion3Core\Traits;

// Note that we could automate things more by adding 'metadata' and 'origdata' into the
// casts and guarded properties of each attached object here, but that could cause some
// performance issues, so better to just manually define them. It's not a big deal anyway. - MK
trait Ion3MetadataTrait {
    protected static $updatingSourceData = false;
    protected static $creatingFromSourceData = false;

    public static function setUpdatingSourceData($value = true)
    {
        self::$updatingSourceData = $value;
        return new static;
    }

    public static function setCreatingFromSourceData($value = true)
    {
        self::$creatingFromSourceData = $value;
        return new static;
    }

    public static function isUpdatingSourceData()
    {
        return self::$updatingSourceData;
    }

    public static function isCreatingFromSourceData()
    {
        return self::$creatingFromSourceData;
    }
}
