<?php

namespace Neutrino\Ion3Core\Transformers;

use Illuminate\Support\Facades\Log;
use Neutrino\Ion3Core\Services\CWSClient;

class Ion3AgentDataTransformer extends Ion3DataTransformer
{
	public function transformData(string $dataSource, array $data, string $transformerClassNameOverride = null) : array
	{
		foreach($this->getTransformerNamespaces() as $transformerNamespace) {
			try {
				$transformerClass = $transformerNamespace . '\\' . ($transformerClassNameOverride ?? "Ion3AgentDataFrom{$dataSource}Transformer");
				if(!class_exists($transformerClass)) {
					throw new \Exception();
				}
				$transformedAgentData = $transformerClass::transform($data, $dataSource);
			} catch (\Exception $e) {}
		}

		return $transformedAgentData ?? $data;
	}

}
