<?php

namespace Neutrino\Ion3Core\Transformers;

use Illuminate\Support\Facades\Log;

class Ion3ListingDataTransformer extends Ion3DataTransformer
{
	public function transformData(string $dataSource, array $listingData, string $transformerClassNameOverride = null) : array
	{
		foreach($this->getTransformerNamespaces() as $transformerNamespace) {
			try {
				$transformerClass = $transformerNamespace . '\\' . ($transformerClassNameOverride ?? "Ion3ListingDataFrom{$dataSource}Transformer");
				if(!class_exists($transformerClass)) {
					throw new \Exception();
				}
				$transformedListingData = $transformerClass::transform($listingData);
			} catch (\Exception $e) {}
		}

		return $transformedListingData ?? $listingData;
	}

}
