<?php

namespace Neutrino\Ion3Core\Transformers;

use Illuminate\Support\Facades\Log;

class Ion3MediaDataTransformer extends Ion3DataTransformer
{
	public function transformData(string $dataSource, array $data, string $transformerClassNameOverride = null) : array
	{
		foreach($this->getTransformerNamespaces() as $transformerNamespace) {
			try {
				$transformerClass = $transformerNamespace . '\\' . ($transformerClassNameOverride ?? "Ion3MediaDataFrom{$dataSource}Transformer");
				if(!class_exists($transformerClass)) {
					throw new \Exception();
				}
				$transformedMediaData = $transformerClass::transform($data, $dataSource);
			} catch (\Exception $e) {}
		}

		return $transformedMediaData ?? $data;
	}

}
